## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate google-cloud-auth

Name:           rust-google-cloud-auth
Version:        0.17.0
Release:        %autorelease
Summary:        Google Cloud Platform server application authentication library

License:        MIT
URL:            https://crates.io/crates/google-cloud-auth
Source0:        %{crates_source}

# Fixed upstream but not released
# https://github.com/yoshidan/google-cloud-rust/issues/303
Source1:        https://raw.githubusercontent.com/yoshidan/google-cloud-rust/main/LICENSE

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Google Cloud Platform server application authentication library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+default-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "default-tls" feature of the "%{crate}" crate.

%files       -n %{name}+default-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+external-account-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+external-account-devel %{_description}

This package contains library source intended for building other packages which
use the "external-account" feature of the "%{crate}" crate.

%files       -n %{name}+external-account-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hex-devel %{_description}

This package contains library source intended for building other packages which
use the "hex" feature of the "%{crate}" crate.

%files       -n %{name}+hex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hickory-dns-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hickory-dns-devel %{_description}

This package contains library source intended for building other packages which
use the "hickory-dns" feature of the "%{crate}" crate.

%files       -n %{name}+hickory-dns-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hmac-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hmac-devel %{_description}

This package contains library source intended for building other packages which
use the "hmac" feature of the "%{crate}" crate.

%files       -n %{name}+hmac-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+path-clean-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+path-clean-devel %{_description}

This package contains library source intended for building other packages which
use the "path-clean" feature of the "%{crate}" crate.

%files       -n %{name}+path-clean-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+percent-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+percent-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "percent-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+percent-encoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-tls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages which
use the "sha2" feature of the "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
cp %SOURCE1 .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# these tests require tokens to be set up, so we skip them
%cargo_test -- --  --skip token_source::tests::test_oauth2_token_source --skip token_source::tests::test_jwt_token_source
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Sep 19 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.17.0-1
- feat: update to 0.17.0

* Thu Sep 19 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.16.0-1
- initial import (fixes rh#2307663)
## END: Generated by rpmautospec
